Subject: George Barrett' s lathe and book

From: "Steven F. Harris" <[email-masked]>
Date: 22 Mar 1995 00:25:24 GMT

IÕd like to hear from anyone who has experience with George BarrettÕs 
lathe as described in his book ÒThe Master MechanicsÕ Manual Vol. 2Ó.  I 
wrote to him and got a small bit of info, but no price list for the 
mentioned castings.  Has anyone completed this project (at what cost and 
time)?  Does anybody have a used copy of the book that they would like 
to sell?  Is the ÒBaldriveÓ hydrostatic drive system a good choice and 
have any other manufacturers used this system in their machines?